Bug 331771 - TAHI--RHEL6 add support for feature nemo: mipv6-daemon
TAHI--RHEL6 add support for feature nemo: mipv6-daemon
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Thomas Graf
Lawrence Lim
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-15 02:24 EDT by Zhiyong Wu
Modified: 2014-06-18 04:29 EDT (History)
12 users (show)

See Also:
Fixed In Version: mipv6-daemon-0.4-1.el6.i686.rpm
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 09:37:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zhiyong Wu 2007-10-15 02:24:40 EDT
Description of problem:
  
  RHEL5 doest support the feature of mipv6 and dont find the code related with

mipv6 in the source code of rhel5 kernel.

Version-Release number of selected component (if applicable):

  kernel-2.6.18-43.el5

Software Environment:   
  
  Testee(NUT):   
    RHEL5 
    Kernel:2.6.18-43.el5 
   
  Tester(TN):   
    FreeBSD6.2 
   
TAHI package:    
 
  ike-mipv6 (version 1.0.4)
  ct-nemo-ha (version 1.0.1)
  ct-nemo-mr (version 1.0.1) 

How reproducible:

  every time

Steps to Reproduce:

  1. Configure TAHI test environment.     
  2. Run the TAHI test suite     
  3. After the test completes, check for the results
  
Actual results:

  rhel5 doesn't support the feature of nemo

Expected results:

  rhel5 can support the feature of nemo

Additional info:

  dont find the code related with nemo in the source code of rhel5 kernel.

please refer to

(1)http://focus.brisbane.redhat.com/~zwu/ct-nemo-ha/index.html

(2)http://focus.brisbane.redhat.com/~zwu/ct-nemo-mr/index.html
Comment 1 Linda Wang 2007-10-30 18:16:48 EDT
see bug 331751, MIPv6 extension not part of RHEL5 TAHI certification requirement.

NEMO [Netowrk Mobility]
see http://www.cse.wustl.edu/~jain/cse574-06/ftp/network_mobility/index.html
for project description.  User space and kernel code can be found
here for 2.6.15: 

http://www.mobile-ipv6.org/software/

Perhaps there is a newer patchset somewhere for later version of the kernel.
 
Comment 3 David Miller 2007-10-30 19:43:48 EDT
For feature requests we need to keep the USAGI folks in mind as they
tend to be who implements this stuff.  This work is extremely non-trivial
in nature, so we will certainly need their help.

The mobile-ipv6 web site is an ancienct code base for basic MIPV6
support and NEMO that was integrated by the USAGI project.

The story is that the guys from Finland who did the mobile-ipv6.org stuff
worked together with USAGI to integrate as much of their collective work
as possible, considering feedback we gave to USAGI et al. during previous
netconf conferences.

All of the client side support for MIPV6 is in the upstream tree.  The
rest is still pending.  I am not aware of the status of NEMO, probably
that is even deeper down in the TODO list (NEMO is an extension to MIPV6,
so when MIPV6 is being asked for this does not imply NEMO).

It appears that the NEMO aspects of the work were picked up by the nautilus6
folks:  http://www.nautilus6.org/doc/nepl-howto/

I took a look at the kernel patch they say is needed for 2.6.23:

https://bugzilla.redhat.com/show_bug.cgi?id=331771

and all of those minor fixes are in 2.6.24-rc1.

The rest appears to be a userland NEMO daemon component that they
wrote.

The userland components are here:

ftp://ftp.linux-ipv6.org/pub/usagi/patch/mipv6/umip-0.4/daemon/tarball/mipv6-daemon-umip-0.4.tar.gz
http://www.nautilus6.org/doc/nepl-howto/umip-nepl/mipv6-daemon-umip-0.4-nepl-20071026.patch
http://www.nautilus6.org/doc/nepl-howto/umip-nepl/mipv6-daemon-umip-0.4-nepl-mcoa-20071026.patch

We should be careful what we commit to RHEL6, this is a large and
complicated piece of technology and I am unsure what the state of it is.
Comment 5 Red Hat Bugzilla 2008-07-07 21:24:02 EDT
Adding yshao@redhat.com to the cc list as the manager of the disabled user zwu@redhat.com who reported this bug
Comment 6 Bill Nottingham 2008-10-10 13:55:04 EDT
Setting to 'distribution' if the userspace component is what's left.
Comment 8 Thomas Graf 2009-10-07 07:34:16 EDT
The mipv6 userspace daemon is now part of Fedora but is still missing the NEMO bits as of now.
Comment 12 Linda Wang 2010-02-17 17:32:17 EST
this issue has been resolved. the package should be in RHEL6 compose now.
going through package wrangler reviews. Move to ON_QA.

thank you all for your help,
-linda
Comment 15 Alexander Todorov 2010-08-20 13:38:02 EDT
# pwd
/mnt/redhat/rel-eng/RHEL6.0-20100818.0/6

# find -name "mipv6-daemon*"
./WebServer/x86_64/os/Packages/mipv6-daemon-0.4-5.el6.x86_64.rpm
./WebServer/x86_64/debug/mipv6-daemon-debuginfo-0.4-5.el6.x86_64.rpm
./WebServer/source/SRPMS/mipv6-daemon-0.4-5.el6.src.rpm
./Server/i386/os/Packages/mipv6-daemon-0.4-5.el6.i686.rpm
./Server/i386/debug/mipv6-daemon-debuginfo-0.4-5.el6.i686.rpm
./Server/source/SRPMS/mipv6-daemon-0.4-5.el6.src.rpm
./Server/s390x/os/Packages/mipv6-daemon-0.4-5.el6.s390x.rpm
./Server/s390x/debug/mipv6-daemon-debuginfo-0.4-5.el6.s390x.rpm
./Server/ppc64/os/Packages/mipv6-daemon-0.4-5.el6.ppc64.rpm
./Server/ppc64/debug/mipv6-daemon-debuginfo-0.4-5.el6.ppc64.rpm
./Server/x86_64/os/Packages/mipv6-daemon-0.4-5.el6.x86_64.rpm
./Server/x86_64/debug/mipv6-daemon-debuginfo-0.4-5.el6.x86_64.rpm
./Client/i386/os/Packages/mipv6-daemon-0.4-5.el6.i686.rpm
./Client/i386/debug/mipv6-daemon-debuginfo-0.4-5.el6.i686.rpm
./Client/source/SRPMS/mipv6-daemon-0.4-5.el6.src.rpm
./Client/x86_64/os/Packages/mipv6-daemon-0.4-5.el6.x86_64.rpm
./Client/x86_64/debug/mipv6-daemon-debuginfo-0.4-5.el6.x86_64.rpm
./Workstation/i386/os/Packages/mipv6-daemon-0.4-5.el6.i686.rpm
./Workstation/i386/debug/mipv6-daemon-debuginfo-0.4-5.el6.i686.rpm
./Workstation/source/SRPMS/mipv6-daemon-0.4-5.el6.src.rpm
./Workstation/x86_64/os/Packages/mipv6-daemon-0.4-5.el6.x86_64.rpm
./Workstation/x86_64/debug/mipv6-daemon-debuginfo-0.4-5.el6.x86_64.rpm
./source/SRPMS/mipv6-daemon-0.4-5.el6.src.rpm
Comment 16 releng-rhel@redhat.com 2010-11-11 09:37:38 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.